package com.sw.mes.itemclean.clean.service;

import com.sw.mes.core.response.Result;
import com.sw.mes.itemclean.clean.domain.MaterialGroup;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.itemclean.clean.dto.GroupStoreDto;
import com.sw.mes.itemclean.clean.dto.MaterialGroupEditDto;

/**
 * <p>
 * 组托入库 服务类
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
public interface MaterialGroupService extends IService<MaterialGroup> {

    MaterialGroup groupStore(GroupStoreDto dtos);

    String fbGroupToWms(String groupNo);

    String openGroupToWms(String groupNo);

    void groupStorePc(MaterialGroup materialGroup);

    MaterialGroup confirmGroup(GroupStoreDto dtos);

    Result editGroup(MaterialGroupEditDto dtos);

    MaterialGroup groupStoreById(Integer id);

    MaterialGroup groupStoreWorkHourById(Integer id);

    MaterialGroup getByGroupNo(String groupNo);
}
